---
linters-settings:
  errcheck:
    exclude: ./.errcheck_excludes.txt
  exhaustive:
    default-signifies-exhaustive: true
  gci:
    sections:
      - standard
      - default
      - prefix(github.com/hetznercloud)
  gomodguard:
    blocked:
      modules:
        - github.com/tj/assert:
            recommendations:
              - github.com/stretchr/testify/assert
            reason: |
              One assertion library is enough and we use testify/assert
              everywhere.
        - github.com/magiconair/properties:
            recommendations:
              - github.com/stretchr/testify/assert
            reason: >
              We do not currently need to parse properties files. At the same
              time this module has an assert package which tends to get
              imported by accident. It is therefore blocked.
  misspell:
    locale: "US"

linters:
  disable-all: true
  enable:
    - bodyclose
    - errcheck
    - errname
    - exhaustive
    - exportloopref
    - gci
    - gocritic
    - godot
    - goimports
    - gomodguard
    - gosec
    - gosimple
    - govet
    - ineffassign
    - misspell
    - prealloc
    - revive
    - staticcheck
    - typecheck
    - unparam
    - unused
    - whitespace

issues:
  exclude-rules:
    - path: _test\.go
      linters:
        - gosec
        - errcheck
    - path: hcloud/error.go
      # False-positive in error codes
      text: "G101: Potential hardcoded credentials" # gosec